Page MenuHomePhabricator

members.py should follow redirects when generating membership lists
Closed, ResolvedPublic

Description

Currently, when a WikiProject is renamed, all the "WikiProjectCards" associated with that project have to be moved as well, or else a membership list is generated under the old project name. This is very tedious, especially for WikiProjects with many members, and it makes it almost impossible for WikiProjects to be renamed (unless I am around).

See https://en.wikipedia.org/w/index.php?title=User:Harej/WikiProjectCards/WikiProject_Women/Women_in_Red&action=history as an example of what needs to be done when a WikiProject is renamed. Because WikiProjectCards are hosted in the user space, you can't batch-move them as you can do with subpages.

Currently, members.py determines what WikiProject to associate a WikiProjectCard with by parsing the page title structure. For example, "User:Harej/WikiProjectCards/WikiProject Women/Women in Red" is parsed as "WikiProject Women/Women in Red". The bot should do a check to see if that page is a redirect, and if so, to associate the information with the WikiProject at its current title. This will let people rename WikiProjects and not have to rename all the WikiProjectCards, at least not right away.

Event Timeline

Harej created this task.Sep 21 2015, 11:42 PM
Harej raised the priority of this task from to Medium.
Harej updated the task description. (Show Details)
Harej added a project: WikiProject-X.
Harej added a subscriber: Harej.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2015, 11:42 PM
XZise claimed this task.Dec 7 2015, 7:45 PM
Harej added a comment.Dec 7 2015, 8:32 PM

Discussed during 2015-12-07 meeting.

Harej edited projects, added Reports-bot; removed WikiProject-X.Apr 14 2016, 1:40 AM
Harej moved this task from Backlog to Bugs/Improvements on the Reports-bot board.Apr 26 2016, 3:40 AM
Harej removed XZise as the assignee of this task.Jun 9 2016, 8:34 PM
Harej added a subscriber: XZise.
Earwig closed this task as Resolved.Aug 4 2016, 1:28 PM
Earwig claimed this task.
Earwig moved this task from Bugs/Improvements to Done on the Reports-bot board.
Earwig added a subscriber: Earwig.

Redirects are followed, and cards are updated (T120695), as long as the new project title is used in wikiproject.json.